from .user import User

class Customer(User):
    '''
        Class constructor to instatiate a customer object

        No additional properties are assigned to the customer
    '''
    def __init__(self, id: int, username: str, email: str, firstname: str, 
                 lastname: str, phone: str, password: str, role: str):
        super().__init__(
            id, username, email, firstname, lastname, phone, password, role
        )

    def login(self):
        print("Logging in as Customer")

    def signup(self):
        print("Signing up as Customer")

