from abc import ABC, abstractmethod

class User(ABC):
    """ Functional Class constructor to initialise all properties in the base object
        with a value """
    def __init__(self, id: int, username: str, email: str, firstname: str, 
                 lastname: str, phone: str, password: str, role: str):
        self.id = id
        self.username = username
        self.email = email
        self.firstName = firstname
        self.lastName = lastname
        self.phone = phone
        self.password = password
        self.role= role


    @abstractmethod
    def login(self):
        pass

    @abstractmethod
    def signup(self):
        pass

